Java 17 support

I’m starting some initial research to make my Java applications work on an M1 based macOS platform. I have an EA version of Java 17 for this processor architecture but I’m now lacking any Gradle support for this. The latest version 7.0.1 says it does not support Java 17.

When is a Java 17 compatible version of Gradle planned?

Thanks!

2 Likes

I second this… we have a requirement coming soon to support Java 17 as well : [HHH-14599] Upgrade to Gradle 7 in support of Java 17 - Hibernate JIRA